# SPDX-License-Identifier: (GPL-2.0-only OR BSD-2-Clause)
%YAML 1.2
---
$id: http://devicetree.org/schemas/riscv/sunxi.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: Allwinner RISC-V SoC-based boards

maintainers:
  - Chen-Yu Tsai <wens@csie.org>
  - Jernej Skrabec <jernej.skrabec@gmail.com>
  - Samuel Holland <samuel@sholland.org>

description:
  Allwinner RISC-V SoC-based boards

properties:
  $nodename:
    const: '/'
  compatible:
    oneOf:
      - description: Dongshan Nezha STU SoM
        items:
          - const: 100ask,dongshan-nezha-stu
          - const: allwinner,sun20i-d1

      - description: D1 Nezha board
        items:
          - const: allwinner,d1-nezha
          - const: allwinner,sun20i-d1

      - description: ClockworkPi R-01 SoM and v3.14 board
        items:
          - const: clockwork,r-01-clockworkpi-v3.14
          - const: allwinner,sun20i-d1

      - description: ClockworkPi R-01 SoM, v3.14 board, and DevTerm expansion
        items:
          - const: clockwork,r-01-devterm-v3.14
          - const: clockwork,r-01-clockworkpi-v3.14
          - const: allwinner,sun20i-d1

      - description: Lichee RV SoM
        items:
          - const: sipeed,lichee-rv
          - const: allwinner,sun20i-d1

      - description: Carrier boards for the Lichee RV SoM
        items:
          - enum:
              - sipeed,lichee-rv-86-panel-480p
              - sipeed,lichee-rv-86-panel-720p
              - sipeed,lichee-rv-dock
          - const: sipeed,lichee-rv
          - const: allwinner,sun20i-d1

      - description: MangoPi MQ board
        items:
          - const: widora,mangopi-mq
          - const: allwinner,sun20i-d1s

      - description: MangoPi MQ Pro board
        items:
          - const: widora,mangopi-mq-pro
          - const: allwinner,sun20i-d1

additionalProperties: true

...
